package com.fzm.mall.server.front.goods.service;

import com.fzm.mall.server.front.base.PageVO;
import com.fzm.mall.server.front.goods.model.Auction;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.goods.model.qo.UserAuctionQO;
import com.fzm.mall.server.front.goods.model.vo.PageVo;
import com.fzm.mall.server.front.goods.model.vo.UserAuctionVO;

/**
 * <p>
 * 商品拍卖 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-09-02
 */
public interface IAuctionService extends IService<Auction> {
    PageVO<UserAuctionVO> getMyAuction(UserAuctionQO qo);

    Auction getByGoodsId(String goodsId);

    Auction getByAuctionId(String auctionId);

    PageVO<UserAuctionVO> goodsAuctionList(String status, PageVo pageVo);
}
